Summary:       An open source processor emulator
Name:          qemu
Version:       0.10.6
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/Emulators
Source0:       http://www.nongnu.org/%{name}/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.10.6-build.patch
Patch1:        %{name}-0.10.6-install.patch
URL:           http://www.nongnu.org/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Fabrice Bellard
Requires:      %{name}-kmod >= 1.4.0
BuildRequires: alsa-lib-devel esound-devel gnutls-devel
BuildRequires: ncurses-devel SDL-devel texi2html
BuildRequires: zlib-devel


%description
QEMU is a fast processor emulator using dynamic translation to achieve good
emulation speed. It can operate in two modes: Full system emulation, where
QEMU emulates a full system (for example a PC), and user mode emulation,
where QEMU can launch processes compiled for one CPU on another CPU. QEMU
can run without a host kernel driver and yet gives acceptable performance.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
export EXTRA_CFLAGS="${RPM_OPT_FLAGS}"

./configure \
	--prefix=%{_prefix}                 \
	--enable-system                     \
	--enable-linux-user                 \
	--enable-mixemu                     \
	--audio-drv-list="alsa oss sdl esd" \
	--audio-card-list="ac97 es1370 sb16 cs4231a adlib gus"

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -rf ${RPM_BUILD_ROOT}%{_docdir}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING* Changelog LICENSE MAINTAINERS README
%doc TODO VERSION *.html
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-img.1*
%{_mandir}/man8/%{name}-nbd.8*


%changelog
* Mon Sep 07 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.10.6-1
- Upgrade version (0.10.6)

* Wed Oct 29 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.1-1
- Initial build
